/*
	release V1.0.6
		TBUSB_VERSION		"Ver.1.0.2"
			IDLE_2_XYP command-packet bmRequestType c0->40
	release V1.0.7 (not public release)
		TBCTL_VERSION		"Ver.1.0.4"
			added calibration point 3,4,5
		TBDRV_VERSION		"Ver.1.0.4"
			added calibration point 3,4,5
	release V1.0.8 
		TBCTL_VERSION		"Ver.1.0.5"
			added calibration point 9
			tbselector:change default left-top point
			tbselector:don't raise when doing calibration
		TBDRV_VERSION		"Ver.1.0.5"
			fixed bug:read max_x,y when usb read eeprom
	release V1.0.9 
		TBDRV_VERSION		"Ver.1.0.6"
			fixed bug:adjust data to 1024x768 saved eeprom data max_x,y
		TBCTL_VERSION		"Ver.1.0.6"
			tpin.c:delete 'extern' of errno
		TBUSB_VERSION		"Ver.1.0.3"
			delete "include malloc.h"
	release V1.1.0
		TBDRV_VERSION		"Ver.1.0.7"
			auto convert from calib-dat on change screen
	release V1.1.1
		TBDRV_VERSION		"Ver.1.0.8"
			auto convert from calib-dat-init-file on change screen
			timeout(=500msec) check when calib input
			fixed bug:make calib 4 area -->bug when adjust input-x,y
	release V1.1.2
		TBDRV_VERSION		"Ver.1.0.9"
			add to use DCA10 (share TSC10)
			change 500ms -> 300ms = timeout check when calib input
			change used function xf86STimestamp -> xf86getsecs 
			change for kernel 2.6 (fixed compile warning & error)
		TBCTL_VERSION		"Ver.1.0.7"
			add to use DCA10 (share TSC10)
			change for kernel 2.6 (fixed compile warning & error)
		TBUSB_VERSION		"Ver.1.0.4"
			change for kernel 2.6 (create new usb26 directory)
	release V1.1.3
		TBCTL_VERSION		"Ver.1.0.8"
			change tbctl's layout on VGA(640x480)
	release V1.1.4
		TBDRV_VERSION		"Ver.1.1.0"
			change protocol between tbtl to drvr,use pipe
		TBCTL_VERSION		"Ver.1.0.9"
			change protocol between tbtl to drvr,use pipe
	release V1.1.5
		TBCTL_VERSION		"Ver.1.1.0"
			fixed bug,display pen up/down when exec startx
		TBDRV_VERSION		"Ver.1.1.1"
			add re-initialize at usb re-connect for pnp
		TBUSB_VERSION		"Ver.1.0.5"
			add filter driver for pnp
		FILTERUSB_VERSION		"Ver.1.0.0"
			add filter driver for pnp (new create)
		TBCTL_VERSION		"Ver.1.1.0"
			add filter driver info. for version window
	release V1.1.6
		TBDRV_VERSION		"Ver.1.1.2"
			support for fc7's xwindow release1.3
		TBUSB_VERSION		"Ver.1.0.6"
			fixed bug,exclusive close & disconnect function 
	release V2.0.1
		support dual display
			TBCTL_VERSION		"Ver.2.0.1"
			TBDRV_VERSION		"Ver.2.0.1"
			TBUSB_VERSION		"Ver.2.0.1"
			FILTERUSB_VERSION	"Ver.2.0.0"
	release V2.0.2
		fixed bug,support eeprom empty
		support TSC20's bug
		support point mode
			TBCTL_VERSION		"Ver.2.0.2"
			TBDRV_VERSION		"Ver.2.0.2"
			TBUSB_VERSION		"Ver.2.0.2"
	release V2.0.3
		fixed file(xilib.c):supported fc9
			TBCTL_VERSION		"Ver.2.0.3"
		add retry xfer on usb-driver
			TBUSB_VERSION		"Ver.2.0.3"
	release V2.0.4
		add flag init-beep
		change timeout valus at serial
		exec reinit in char 0x12 at serial
			TBDRV_VERSION		"Ver.2.0.3"
	release V2.0.5
		add retry reset err on usb-driver
			TBUSB_VERSION		"Ver.2.0.4"
	release V2.0.6
		fixed bug - double adjust write_eeprom data
		fixed bug for 64bit linux
		fixed bug for fc7/8 - touch coord when screen resolv. changed
		fixed bug for fc9/later - touch coord when calibed at no-defscr
		support for xorg-v1.6(xinput-abi-vers4)
			TBDRV_VERSION		"Ver.2.0.6"
		fixed bug - probe same iProduct 
			TBUSB_VERSION		"Ver.2.0.5"
	release V2.0.7
		change ioctl's driver (for kernel-2.6.31) - change define of usbdmc.h
			TBUSB_VERSION		"Ver.2.0.6"
			TBDRV_VERSION		"Ver.2.0.7"
			TBCTL_VERSION		"Ver.2.0.4"
			FILETERUSB_VERSION	"Ver.2.0.1"
		add reload usb-driver & add ModulePath to config (usb version/no use dual-display)
			TBDRV_VERSION		"Ver.2.0.7"
		fixed bug for sweep tbselector dead status
			TBCTL_VERSION		"Ver.2.0.4"
	release V2.0.8
		fixed bug on pnp
		support lift off delay
			TBDRV_VERSION		"Ver.2.0.8"
			TBUSB_VERSION		"Ver.2.0.7"
			FILETERUSB_VERSION	"Ver.2.0.2"
			TBCTL_VERSION		"Ver.2.0.5"
	release V2.0.9
		fixed bug lift off delay
			TBUSB_VERSION		"Ver.2.0.8"
	release V2.1.0
		support kernel-v2.6.35 & fixed bug lift off delay
			TBUSB_VERSION		"Ver.2.0.9"
	release V2.1.1
		support kernel-v2.6.38 (xorg-server v1.10)
			TBUSB_VERSION		"Ver.2.1.0"
			FILTERUSB_VERSION	"Ver.2.0.3"
		support xorg-server v1.10
		fixed bug when screen touch point(0,0) is right-bottom
			TBDRV_VERSION		"Ver.2.0.9"
	release V2.1.2
		support kernel-v3.3.4/v3.1.0 
			all
		support kernel-v3.1.0 & added reset&read-eeprom-wait code
			TBUSB_VERSION		"Ver.2.1.1"
		support xorg-server v1.11.1 (fixed proto-type)
		support xorg-server v1.12.0 (add dummy xf86InputSetScreen)
			TBDRV_VERSION		"Ver.2.1.0
		cyclic sleep for cpu-power
			TBCTL_VERSION		"Ver.2.0.6"
	release V2.1.3
		added ReverseXY option
			TBDRV_VERSION		"Ver.2.1.1
	release V2.1.4
		02-cmd(=XYP->IDLE) only exec at XY-mode
			TBUSB_VERSION		"Ver.2.1.2"
	release V2.1.5
		support kernel-v3.6.10/v3.9.5
*/
#define	RELEASE_VERSION		"Ver.2.1.5"
#define	TBCTL_VERSION		"Ver.2.0.6"	/* tbctl/<app> */
#define	TBDRV_VERSION		"Ver.2.1.1"	/* driver/dmc_drv.o */
#define	TBUSB_VERSION		"Ver.2.1.2"	/* usb26/ubbdmc.o or usb/usbdmc.o */
#define	FILTERUSB_VERSION	"Ver.2.0.3"	/* usb26/tpdmc.o or usb/tpdmc.o */
